"use client";

import { useEffect } from "react";
import { redirect } from "next/navigation";

import { AuthorizeParams } from "@/app/(oauth)/oauth/authorize/page";

export function SaveOAuthParams({
  searchParams,
  redirectTo,
}: {
  searchParams: AuthorizeParams;
  redirectTo: string;
}) {
  useEffect(() => {
    localStorage.setItem("oauth_pending", JSON.stringify(searchParams));
    window.location.href = redirectTo;
  }, [searchParams, redirectTo]);

  return null;
}
